/*
 * Edit this file to change paths, if necessary.  If you are using the TeX
 * Directory Structure, then probably only the first of these needs to be
 * changed.
 */

/*
 * The following should be a colon-separated list of texmf trees to search.
 * This is very important if configuration files are not being used.
 * Paths may be preceded by a double exclamation point to indicate that an
 * ls-R file is in use.
 * Example:
 *	#define DEFAULT_TEXMF_PATH "!!/usr/tex/texmf:!!/usr/local/tex/texmf"
 */

#ifdef __hpux
#define DEFAULT_TEXMF_PATH "/net/text/latex2e/lib/texmf" 
#else
#define	DEFAULT_TEXMF_PATH	"/usr/local/tex/texmf"
#endif

/*
 * The following should be a colon-separated list of paths or designators to
 * look for font pixel files (pk or gf).
 */

#ifdef __hpux
#define	DEFAULT_FONT_PATH "/usr/local/lib/tex/fonts/%p/%p300"
#else
#define	DEFAULT_FONT_PATH	".:%S"
#endif


/*
 * The following should be a colon-separated list of paths or designators to
 * look for virtual font files (vf files).
 */
#ifdef __hpux
#define	DEFAULT_VF_PATH "/usr/local/lib/tex/fonts/vf" 
#else
#define	DEFAULT_VF_PATH		".:%S"
#endif
/*
 * The following should be a colon-separated list of paths or designators to
 * look for PostScript figures.
 */

#ifdef __hpux
#define	DEFAULT_FIG_PATH "/usr/local/lib/tex/TeX3.14/inputs"
#else
#define	DEFAULT_FIG_PATH	".:%S"
#endif

/*
 * The following should be a colon-separated list of paths or designators to
 * look for PostScript header files.
 */

#ifdef __hpux
#define	DEFAULT_HEADER_PATH "/usr/local/lib/tex/TeX3.14/ps"
#else
#define	DEFAULT_HEADER_PATH	".:%S"
#endif
